<!DOCTYPE html>
<html>    
 <body>
 <?php
 // -- Classe Traitement --
 class Traitement{
   // déclaration de deux propriétés
   protected $variable1;
   private   $variable2;
   // constructeur
   function __construct() {
     $this->variable1=1;
     $this->variable2=2;
   }
  public function get1() {return $this->variable1;}
  public function get2() {return $this->variable2;}
 } // fin de la classe
 // création de l'objet
 $MesV = new Traitement();
 // --- Affichage ---
 echo "Premi&egrave;re valeur   : ".$MesV->get1()."<br/>";
 echo "Deuxi&egrave;me valeur   : ".$MesV->get2()."<br/>";
 ?>
 </body>
</html>
